commit 57d86abf19a6e83ba8c4c2af9a1c840000646623
parent c8d3fb003ebfc4381b70a797bbab3a2ddaf95f95
Author: Christophe Coustet <christophe.coustet@meso-star.com>
Date: Thu, 21 May 2026 12:06:50 +0200
Add solstice 0.10 ans its companion libs
Namely solstice-solver 0.10 and solstice-anim 0.3
Diffstat:
3 files changed, 122 insertions(+), 0 deletions(-)
diff --git a/src/rad-apps/solstice_0.10.sh b/src/rad-apps/solstice_0.10.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+. "cad-libs/star-3dut_0.4.sh"
+. "sci-libs/star-sp_0.15.sh"
+. "cad-libs/star-stl_0.7.sh"
+. "rad-libs/ssolver_0.10.sh"
+. "rad-libs/sanim_0.3.sh"
+
+name="solstice"
+tag="0.10"
+
+if [ -n "${SOLSTICE_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SOLSTICE_SH}"
+else
+ export SOLSTICE_SH="${tag}"
+
+ url="$\(REPO\)/solstice.git"
+ dep="rsys star-3dut star-sp star-stl ssol sanim"
+ opt="${opt} BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+
+ profile profile
+fi
diff --git a/src/rad-libs/sanim_0.3.sh b/src/rad-libs/sanim_0.3.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Copyright (C) 2018-2026 |Méso|Star> (contact@meso-star.com)
+# Copyright (C) 2016, 2017 CNRS.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+
+name="sanim"
+tag="0.3"
+
+if [ -n "${SANIM_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SANIM_SH}"
+else
+ export HTMIE_SH="${tag}"
+
+ url="$\(REPO\)/solstice-anim.git"
+ dep="rsys"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi
diff --git a/src/rad-libs/ssolver_0.10.sh b/src/rad-libs/ssolver_0.10.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Copyright (C) 2018-2026 |Méso|Star> (contact@meso-star.com)
+# Copyright (C) 2016, 2017 CNRS.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+. "sci-libs/star-3d_0.10.sh"
+. "cad-libs/star-3dut_0.4.sh"
+. "cad-libs/star-cpr_0.5.sh"
+. "rad-libs/star-sf_0.10.sh"
+. "sci-libs/star-sp_0.15.sh"
+
+name="ssol"
+tag="0.10"
+
+if [ -n "${SSOLVER_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SSOLVER_SH}"
+else
+ export HTMIE_SH="${tag}"
+
+ url="$\(REPO\)/solstice-solver.git"
+ dep="rsys star-3d star-3dut star-cpr star-cpr star-sf star-sp"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi